javax.swing.event

## Interface TreeSelectionListener

- All Superinterfaces:
    EventListener
  All Known Implementing Classes:
    BasicTreeUI.TreeSelectionHandler, DefaultTreeCellEditor, JTree.AccessibleJTree, JTree.TreeSelectionRedirector

      public interface TreeSelectionListener
      extends EventListener

  The listener that's notified when the selection in a TreeSelectionModel changes. For more information and examples see How to Write a Tree Selection Listener, a section in The Java Tutorial.
  See Also:
    `TreeSelectionModel`, `JTree`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `valueChanged(TreeSelectionEvent e)` Called whenever the value of the selection changes.

- - ### Method Detail

    - #### valueChanged

          void valueChanged(TreeSelectionEvent e)

      Called whenever the value of the selection changes.
      Parameters:
        `e` - the event that characterizes the change.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.